/* Hide the original file input element */
input[type="file"]::file-selector-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: orange;
    color: black;
    border: none;
    cursor: pointer;
    border-radius: 2px;
    font-weight: bold;
    transition: background-color 0.4s, color 0.4s;
}

/* Styles for the custom file input on hover */
input[type="file"]::file-selector-button:hover {
    background-color: black;
    color: orange;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
    margin: 0;
    padding: 0;
}

h1 {
    font-size: 48px;
}

h2 {
    font-size: 36px;
}

h3 {
    font-size: 24px;
}

p,
a,
li {
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    font-weight: 300;
}

#header {
    text-align: center;
}

#header img {
    max-width: 1000px;
    margin-bottom: 50px;
}

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
}

header .logo {
    width: 200px;
}

header .nav {
    display: flex;
    gap: 20px;
}

header .nav a {
    color: #333333;
    text-decoration: none;
}

header .nav a:hover {
    color: #007bff;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    padding: 0;
}


#content {
    background-color: #ffffff;
    border-radius: 8px;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
    min-width: 400px;
    padding: 20px;
    text-align: center;
    margin-top: 20px;
}

label {
    display: block;
    margin-top: 10px;
    font-weight: bold;
    text-align: left;
}

input[type="email"],
input[type="file"],
input[type="submit"] {
    width: 100%;
    padding: 10px;
    margin: 5px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-weight: bold;
    font-size: medium;
    box-sizing: border-box;
}

input[type="submit"] {
    border-radius: 2px;
}

input[type="submit"]:not([disabled]):hover {
    background-color: #ffb100;
    color: #000000;
    cursor: pointer;
}

/* Define the default style of the button */
input[type="submit"] {
    background-color: orange;
    /* Orange background */
    color: black;
    /* Black text */
    padding: 15px 32px;
    /* Add some padding */
    font-size: 16px;
    /* Set font size */
    transition: background-color 0.4s, color 0.4s;
    /* Add a transition effect */
}

/* Change the background color and text color when the button is hovered over */
input[type="submit"]:enabled:hover {
    background-color: black;
    /* Black background */
    color: orange;
    /* Orange text */

}

input[type="submit"]:disabled:hover {
    background-color: #ccc;
    cursor: not-allowed;
}

p[id] {
    margin: 5px 0;
    color: #ff4444;
}

#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    background-color: transparent;
    /* Change this line */
}

#loading-spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}